config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/netpkg.conf.new
config etc/netpkg.d/.alien1.zenwalk.org.new
config etc/netpkg.d/.slackware.mirrors.tds.net.new
config etc/netpkg.d/.distro.ibiblio.org.new
config etc/netpkg.d/.slack.conraid.net.new
config etc/netpkg.d/.taper.alienbase.nl.new
config etc/netpkg.d/slack1.zenwalk.org.new
config etc/netpkg.d/.mirrors.slackware.com.new
config etc/netpkg.d/.packages.slackonly.com.new
config etc/netpkg.d/.zen-repo.meticul.eu.new
config etc/netpkg.d/.slackware.uk.new
config etc/netpkg.d/download.zenwalk.org.new
config etc/netpkg.d/.local.new
config etc/netpkg.d/local.new
config etc/xdg/autostart/netpkg.desktop.new
